function Create(self)
	--Who to heal.
	self.victim = MovableMan:GetMOFromID(self.Mass);

	--Determine the type of actor so we can access its info.
	if self.victim.ClassName == "AHuman" then
		self.victim = ToAHuman(self.victim);
	elseif self.victim.ClassName == "ACrab" then
		self.victim = ToACrab(self.victim);
	else
		--If it is neither quadroped nor biped, erase this as it is not the type of actor we want to heal.
		self.ToDelete = true;
	end

	--Heal the victim right off the bat.
	if self.ToDelete == false then
		self.victim.Health = self.victim.Health + 100;
	end

	--How many points of damage to heal per minute.
	local pointspermin = 200;

	--How many milliseconds to wait between healing.  Calculates for you.
	self.healinterval = (pointspermin / 60) * 1000;

	--Timer to wait out intervals.
	self.healtimer = Timer();

	--How long the healing has gone on for.
	self.healtime = Timer();

	--How long to heal the victim for, in milliseconds.
	self.heallength = 600000;
end

function Update(self)
	if MovableMan:IsActor(self.victim) then
		--If the actor still exists and the timer is up, heal it.
		if self.healtimer:IsPastSimMS(self.healinterval) then
			self.victim.Health = self.victim.Health + 1;
			self.healtimer:Reset();
			--If the pain has gone on for long enough, destroy this.
			if self.healtime:IsPastSimMS(self.heallength) == true then
				self.ToDelete = true;
			end
		end
	else
		--If the actor is gone or dead, destroy this.
		self.ToDelete = true;
	end
end