function Create(self)
	--Who to heal.
	self.victim = MovableMan:GetMOFromID(self.Mass);

	--Determine the type of actor so we can access its info.
	if self.victim.ClassName == "AHuman" then
		self.victim = ToAHuman(self.victim);
	elseif self.victim.ClassName == "ACrab" then
		self.victim = ToACrab(self.victim);
	else
		--If it is neither quadroped nor biped, erase this as it is not the type of actor we want to heal.
		self.ToDelete = true;
	end

	--Boost the victim's health.
	if self.ToDelete == false then
		self.victim.Health = self.victim.Health + 10000;
	end

	--Times how long the pack has existed for.
	self.healtimer = Timer();

	--How long to keep the victim alive for, in milliseconds.
	self.heallength = 60000;
end

function Update(self)
	if MovableMan:IsActor(self.victim) then
		--If the actor still exists and the timer is up, heal it.
		if self.healtimer:IsPastSimMS(self.heallength) then
			self.victim.Health = 0;
			self.ToDelete = true;
		end
	else
		--If the actor is gone or dead, destroy this.
		self.ToDelete = true;
	end
end